## Index

### Interfaces

- Key
- PropertyMetadata
- TypeInfo

### Functions

- alterCollectionPropertyMetadataForSingleItem
- hasGenericType
- hasType

## Functions

### alterCollectionPropertyMetadataForSingleItem

- alterCollectionPropertyMetadataForSingleItem<T>(propertyMeta?: PropertyMetadata<T> | null): PropertyMetadata<T> | undefined

- - Defined in decorator/metadata/property-metadata.model.ts:64

  #### Type parameters

  - #### T

  #### Parameters

  - ##### Optional propertyMeta: PropertyMetadata<T> | null

  #### Returns PropertyMetadata<T> | undefined

### hasGenericType

- hasGenericType(propertyMetadata?: PropertyMetadata<any, any>): boolean

- - Defined in decorator/metadata/property-metadata.model.ts:52

  #### Parameters

  - ##### Optional propertyMetadata: PropertyMetadata<any, any>

  #### Returns boolean

### hasType

- hasType(propertyMetadata?: PropertyMetadata<any, any>): boolean

- - Defined in decorator/metadata/property-metadata.model.ts:58

  #### Parameters

  - ##### Optional propertyMetadata: PropertyMetadata<any, any>

  #### Returns boolean

Generated using TypeDoc